Summary: Automount utilities including an updated version of Amd.
Name: am-utils
Version: 6.0.1s11
Serial: 2
Release: 1.6.0
Copyright: BSD
Group: System Environment/Daemons
Source: ftp://shekel.mcl.cs.columbia.edu/pub/am-utils/am-utils-%{version}.tar.gz
Source1: am-utils.init
Source2: am-utils.conf
Source3: am-utils.sysconf
Source4: am-utils.net.map
Prereq: /sbin/install-info
Requires: portmap
BuildRoot: /var/tmp/am-utils-root
Prereq: /sbin/chkconfig
PreReq: grep
Obsoletes: amd

%description
Am-utils includes an updated version of Amd, the popular BSD
automounter.  An automounter is a program which maintains a cache 
of mounted filesystems.  Filesystems are mounted when they are 
first referenced by the user and unmounted after a certain period of 
inactivity. Amd supports a variety of filesystems, including NFS, UFS, 
CD-ROMS and local drives.  

You should install am-utils if you need a program for automatically
mounting and unmounting filesystems.

%prep
%setup -q

%build
cd aux ; autoconf ; mv -f configure .. ; cd ..
CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=/usr \
	--enable-shared --sysconfdir=/etc --enable-libs=-lnsl \
	--disable-amq-mount
# fun with autoconf
touch `find -name Makefile.in`
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT/usr sysconfdir=`pwd`/etc
mkdir -p $RPM_BUILD_ROOT/etc/{sysconfig,rc.d/init.d}
install -m 755 $RPM_SOURCE_DIR/am-utils.sysconf $RPM_BUILD_ROOT/etc/sysconfig/amd
install -m 755 $RPM_SOURCE_DIR/am-utils.init $RPM_BUILD_ROOT/etc/rc.d/init.d/amd
strip $RPM_BUILD_ROOT/usr/sbin/* $RPM_BUILD_ROOT/usr/bin/* || :
gzip -q9f $RPM_BUILD_ROOT/usr/info/*info*
mkdir -p $RPM_BUILD_ROOT/.automount
rm -f $RPM_BUILD_ROOT/usr/sbin/ctl-amd

# install the default config and map files
install -m 600 %{SOURCE2} $RPM_BUILD_ROOT/etc/amd.conf
install -m 640 %{SOURCE4} $RPM_BUILD_ROOT/etc/amd.net


%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Check if we have an old fashioned amd.conf and rename if to amd.net
if [ "$1" = "0" ] ; then
    if grep "auto_dir" /etc/amd.conf 2>/dev/null > /dev/null ; then
	# this is okay
	exit 0
    else
	# this needs to be renamed. Still, if /etc/amd.net exists, then
	# don't bother renamig it. RPM will handle it better than us here.
	if [ -e /etc/amd.net ] ; then
	    exit 0
	else
	    mv -f /etc/amd.conf /etc/amd.net
	fi
    fi
fi
exit 0

%post
/sbin/ldconfig
/sbin/chkconfig --add amd
/sbin/install-info /usr/info/am-utils.info.gz /usr/info/dir

%preun
if [ $1 = 0 ]; then
   /sbin/install-info --delete /usr/info/am-utils.info.gz /usr/info/dir
   /sbin/chkconfig --del amd
fi

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc doc/*.ps AUTHORS BUGS ChangeLog NEWS README* scripts/*-sample
%dir /.automount
/usr/bin/pawd
/usr/sbin/*
/usr/man/man[58]/*
/usr/man/man1/pawd.1
%config(noreplace) /etc/amd.net
%config /etc/amd.conf
%config /etc/sysconfig/amd
%config /etc/rc.d/init.d/amd
/usr/info/*info*.gz
/usr/lib/libamu.so
/usr/lib/libamu.so.*

%changelog
* Tue Aug 24 1999 Cristian Gafton <gafton@redhat.com>
- remove the noldap patch
- add amd.net file as the default config map file
- change the config file to teh new config file format instead of a
  simple map file name.
- try to avoid some damage with a new %pre script
- prereq grep now
- modify the init file so it calls amd -F /etc/amd.conf now

* Tue Aug 24 1999 Bill Nottingham <notting@redhat.com>
- update to 6.0.1s11

* Fri Jun 19 1999 Bill Nottingham <notting@redhat.com>
- don't run by default

* Mon May 31 1999 Kenneth Skaar <kenneths@regina.uio.no>
- Fixed amd -F core dump and related dumps by other programs 

* Thu Apr 08 1999 Preston Brown <pbrown@redhat.com>
- kill -HUP on reload, restart does a real restart.

* Fri Mar 26 1999 Bill Nottingham <notting@redhat.com>
- twiddle an echo in initscript

* Tue Mar 23 1999 Cristian Gafton <gafton@redhat.com>
- version 6.0 proper
- Serial:1 because to enforce versioning

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com> 
- auto rebuild in the new build environment (release 6)

* Wed Jan 06 1999 Cristian Gafton <gafton@redhat.com>
- rebuild for glibc 2.1
- strip all binaries

* Thu Aug 13 1998 Jeff Johnson <jbj@redhat.com>
- add missing ':' to default 'opts:=nosuid,nodev'
- install info pages

* Mon Jul 13 1998 Cristian Gafton <gafton@redhat.com>
- added the NIS support that the broken configure script failed to detect

* Tue May 05 1998 Cristian Gafton <gafton@redhat.com>
- disabled autofs support on alpha
- run ldconfig in postinstall

* Mon May 04 1998 Cristian Gafton <gafton@redhat.com>
- new package to replace the old and unmaintained amd
